Package org.eclipse.m2m.atl.engine.vm

# Class ASMXMLReader

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.eclipse.m2m.atl.engine.vm.ASMXMLReader

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public class ASMXMLReader extends DefaultHandler
This Java class reads an ATL Stack Machine (ASM) from its XML definition.

## Constructor Summary

Constructors
Constructor
Description
`ASMXMLReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`endElement(String uri, String localName, String qName)`
`void`
`error(SAXParseException e)`
`void`
`fatalError(SAXParseException e)`
`ASM`
`read(InputStream in)`
`void`
`startElement(String uri, String localName, String qName, Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### ASMXMLReader

public ASMXMLReader()

## Method Details

### read

public ASM read(InputStream in)

### startElement

public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`

### endElement

public void endElement(String uri, String localName, String qName) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Throws:
  `SAXException`

### error

public void error(SAXParseException e)

Specified by:
  `error` in interface `ErrorHandler`
Overrides:
  `error` in class `DefaultHandler`

### fatalError

public void fatalError(SAXParseException e) throws SAXParseException

Specified by:
  `fatalError` in interface `ErrorHandler`
Overrides:
  `fatalError` in class `DefaultHandler`
Throws:
  `SAXParseException`